## leechcraft 0.4.55-maemo-4

=== iconsets/nuvola/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
PROJECT (leechcraft-icons-nuvola NONE)

#INSTALL (DIRECTORY icons/ DESTINATION share/icons/Tango
#	PATTERN ".svn" EXCLUDE)

INSTALL (FILES nuvola.mapping DESTINATION share/leechcraft/icons)

INCLUDE (InstallRequiredSystemLibraries)
SET (CPACK_CMAKE_GENERATOR "Unix Makefiles")
SET (CPACK_PACKAGE_NAME "leechcraft-icons-nuvola")
SET (CPACK_GENERATOR "DEB;RPM;TGZ")
SET (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Nuvola-style icon pack for LeechCraft")
SET (CPACK_PACKAGE_VENDOR "0xd34df00d")
SET (CPACK_DEBIAN_PACKAGE_SECTION "net")
SET (CPACK_DEBIAN_PACKAGE_DESCRIPTION "Nuvola-style icon pack for LeechCraft, adapting Nuvola icon theme for KDE 3.x by David Vignoni icons for the LeechCraft.")
SET (CPACK_DEBIAN_PACKAGE_DEPENDS "leechcraft (>= 0.2.989), kde-icons-nuvola")
SET (CPACK_DEBIAN_PACKAGE_ARCHITECTURE "all")
SET (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/License.txt")
SET (CPACK_PACKAGE_VERSION_MAJOR "0")
SET (CPACK_PACKAGE_VERSION_MINOR "3")
SET (CPACK_PACKAGE_VERSION_PATCH "0")
SET (CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
SET (CPACK_PACKAGE_CONTACT "0xd34df00d@gmail.com")
SET (CPACK_DEBIAN_PACKAGE_MAINTAINER "Rudoy Georg <0xd34df00d@gmail.com>")
SET (CPACK_DEBIAN_PACKAGE_CONTROL_EXTRA "${CMAKE_CURRENT_SOURCE_DIR}/scripts/postinst")
INCLUDE (CPack)

=== src/iconsets/CMakeLists.txt ===
ADD_SUBDIRECTORY (oxygen)
ADD_SUBDIRECTORY (tango)
ADD_SUBDIRECTORY (Pevzi)

=== src/xmlsettingsdialog/CMakeLists.txt ===
SET (QT_USE_QTSCRIPT TRUE)
SET (QT_USE_QTXML TRUE)
INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (${Boost_INCLUDE_DIRS}
	${CMAKE_CURRENT_BINARY_DIR}
	..
	)

SET (SRCS
    xmlsettingsdialog.cpp
	rangewidget.cpp
	filepicker.cpp
	radiogroup.cpp
	scripter.cpp
	typeregister.cpp
	dir.cpp
	file.cpp
	bytearray.cpp
	settings.cpp
	basesettingsmanager.cpp
	fontpicker.cpp
	colorpicker.cpp
	itemhandlerfactory.cpp
	itemhandlers/itemhandlerbase.cpp
	itemhandlers/itemhandlerspinboxrange.cpp
	itemhandlers/itemhandleroptionssetvalue.cpp
	itemhandlers/itemhandlerstringsetvalue.cpp
	itemhandlers/itemhandlerbooleangetvalue.cpp
	itemhandlers/itemhandlerstringgetvalue.cpp
	itemhandlers/itemhandlerpath.cpp
	itemhandlers/itemhandlerfont.cpp
	itemhandlers/itemhandlercolor.cpp
	itemhandlers/itemhandlercheckbox.cpp
	itemhandlers/itemhandlergroupbox.cpp
	itemhandlers/itemhandlerradio.cpp
	itemhandlers/itemhandlercombobox.cpp
	itemhandlers/itemhandlerlineedit.cpp
	itemhandlers/itemhandlerspinbox.cpp
	itemhandlers/itemhandlerspinboxdouble.cpp
	itemhandlers/itemhandlernovalue.cpp
	itemhandlers/itemhandlerpushbutton.cpp
	itemhandlers/itemhandlercustomwidget.cpp
	itemhandlers/itemhandlerdataview.cpp
	itemhandlers/itemhandlerlistview.cpp
	widgets/dataviewwidget.cpp
	)
SET (HEADERS
    xmlsettingsdialog.h
	rangewidget.h
	filepicker.h
	radiogroup.h
	scripter.h
	typeregister.h
	dir.h
	file.h
	bytearray.h
	settings.h
	basesettingsmanager.h
	fontpicker.h
	colorpicker.h
	itemhandlerfactory.h
	itemhandlers/itemhandlerbase.h
	itemhandlers/itemhandlerspinboxrange.h
	itemhandlers/itemhandleroptionssetvalue.h
	itemhandlers/itemhandlerstringsetvalue.h
	itemhandlers/itemhandlerbooleangetvalue.h
	itemhandlers/itemhandlerstringgetvalue.h
	itemhandlers/itemhandlerpath.h
	itemhandlers/itemhandlerfont.h
	itemhandlers/itemhandlercolor.h
	itemhandlers/itemhandlercheckbox.h
	itemhandlers/itemhandlergroupbox.h
	itemhandlers/itemhandlerradio.h
	itemhandlers/itemhandlercombobox.h
	itemhandlers/itemhandlerlineedit.h
	itemhandlers/itemhandlerspinboxbase.h
	itemhandlers/itemhandlerspinbox.h
	itemhandlers/itemhandlerspinboxdouble.h
	itemhandlers/itemhandlernovalue.h
	itemhandlers/itemhandlerpushbutton.h
	itemhandlers/itemhandlercustomwidget.h
	itemhandlers/itemhandlerdataview.h
	itemhandlers/itemhandlerlistview.h
	widgets/dataviewwidget.h
	)
SET (FORMS
	widgets/dataviewwidget.ui
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
ADD_LIBRARY (xmlsettingsdialog SHARED
	${SRCS}
	${MOC_SRCS}
	${UIS_H})
TARGET_LINK_LIBRARIES (xmlsettingsdialog
	${QT_LIBRARIES}
	)
SET_PROPERTY (TARGET xmlsettingsdialog PROPERTY SOVERSION 0.3.0)
INSTALL (TARGETS xmlsettingsdialog DESTINATION ${LIBDIR})

=== src/iconsets/Pevzi/CMakeLists.txt ===
INSTALL (DIRECTORY icons/ DESTINATION share/icons/Pevzi
	PATTERN ".svn" EXCLUDE)
INSTALL (FILES Pevzi.mapping DESTINATION share/leechcraft/icons)

=== src/iconsets/tango/CMakeLists.txt ===
INSTALL (FILES Tango.mapping DESTINATION share/leechcraft/icons)

=== src/plugins/aggregator/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_aggregator)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED COMPONENTS date_time filesystem system thread signals)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (QT_USE_QTSQL TRUE)
SET (QT_USE_QTXML TRUE)
SET (QT_USE_QTNETWORK TRUE)
INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (${Boost_INCLUDE_DIRS}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)

SET (SRCS
    aggregator.cpp
    core.cpp
    addfeed.cpp
    parserfactory.cpp
	rssparser.cpp
    rss20parser.cpp
	rss10parser.cpp
	rss091parser.cpp
	atomparser.cpp
    atom10parser.cpp
    atom03parser.cpp
    parser.cpp
    item.cpp
    channel.cpp
    feed.cpp
    xmlsettingsmanager.cpp
    channelsmodel.cpp
    channelsfiltermodel.cpp
	regexpmatcherui.cpp
	singleregexp.cpp
	regexpmatchermanager.cpp
	itemsfiltermodel.cpp
	opmlparser.cpp
	opmlwriter.cpp
	importopml.cpp
	export.cpp
	sqlstoragebackend.cpp
	storagebackend.cpp
	importbinary.cpp
	feedsettings.cpp
	jobholderrepresentation.cpp
	itemswidget.cpp
	itemslistmodel.cpp
	wizardgenerator.cpp
	startupfirstpage.cpp
	startupsecondpage.cpp
	startupthirdpage.cpp
	export2fb2dialog.cpp
	actionsstructs.cpp
	sqlstoragebackend_mysql.cpp
	)
SET (HEADERS
    aggregator.h
    core.h
    addfeed.h
    item.h
    channel.h
    feed.h
    parserfactory.h
    parser.h
	rssparser.h
    rss20parser.h
	rss10parser.h
	rss091parser.h
	atomparser.h
    atom10parser.h
    atom03parser.h
    channelsmodel.h
    xmlsettingsmanager.h
    channelsfiltermodel.h
	regexpmatcherui.h
	singleregexp.h
	regexpmatchermanager.h
	itemsfiltermodel.h
	opmlparser.h
	opmlwriter.h
	importopml.h
	export.h
	sqlstoragebackend.h
	storagebackend.h
	opmlitem.h
	importbinary.h
	feedsettings.h
	jobholderrepresentation.h
	itemswidget.h
	itemslistmodel.h
	wizardgenerator.h
	startupfirstpage.h
	startupsecondpage.h
	startupthirdpage.h
	export2fb2dialog.h
	actionsstructs.h
	sqlstoragebackend_mysql.h
	)
SET (FORMS
    mainwidget.ui
    addfeed.ui
	itembucket.ui
	regexpmatcherui.ui
	singleregexp.ui
	importopml.ui
	export.ui
	importbinary.ui
	feedsettings.ui
	itemswidget.ui
	startupfirstpage.ui
	startupsecondpage.ui
	startupthirdpage.ui
	export2fb2dialog.ui
	)
SET (RESOURCES aggregatorresources.qrc)
SET (TRANSLATIONS
	leechcraft_aggregator_ru_RU.ts
	leechcraft_aggregator_de.ts
	leechcraft_aggregator_uk_UA.ts
	leechcraft_aggregator_ar.ts
	leechcraft_aggregator_eo.ts
	leechcraft_aggregator_pl.ts
	leechcraft_aggregator_es.ts
	leechcraft_aggregator_oc.ts
	leechcraft_aggregator_en.ts
	leechcraft_aggregator_fr.ts
	)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_eo.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_pl.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_es.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_oc.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_en.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_aggregator_fr.qm
	)

ADD_DEFINITIONS(-DBOOST_DYN_LINK)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_aggregator SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${UIS_H}
	${RCCS}
	)
LINK_DIRECTORIES (${Boost_LIBRARY_DIR})
TARGET_LINK_LIBRARIES (leechcraft_aggregator
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_aggregator DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})
INSTALL (FILES aggregatorsettings.xml DESTINATION ${LC_SETTINGS_DEST})

=== src/plugins/auscrie/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_auscrie)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (QT_USE_QTNETWORK TRUE)
INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)
SET (SRCS
	auscrie.cpp
	shooterdialog.cpp
	poster.cpp
	requestbuilder.cpp
	)
SET (HEADERS
	auscrie.h
	shooterdialog.h
	poster.h
	requestbuilder.h
	)
SET (FORMS
	shooterdialog.ui
	)
SET (TRANSLATIONS
	leechcraft_auscrie_ru_RU.ts
	leechcraft_auscrie_uk_UA.ts
	leechcraft_auscrie_de.ts
	leechcraft_auscrie_es.ts
	leechcraft_auscrie_oc.ts
	leechcraft_auscrie_en.ts
	leechcraft_auscrie_fr.ts
	)
SET (RESOURCES auscrieresources.qrc)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_auscrie_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_auscrie_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_auscrie_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_auscrie_es.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_auscrie_oc.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_auscrie_en.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_auscrie_fr.qm
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_auscrie SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${UIS_H}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_auscrie
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_auscrie DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})

=== src/plugins/azoth/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_azoth)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (QT_USE_QTDBUS TRUE)
SET (QT_USE_QTNETWORK TRUE)
SET (QT_USE_QTWEBKIT TRUE)
SET (QT_USE_QTSQL TRUE)
SET (QT_USE_QTXML TRUE)

INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)
SET (SRCS
	azoth.cpp
	core.cpp
	mainwidget.cpp
	chattabsmanager.cpp
	chattab.cpp
	sortfilterproxymodel.cpp
	accountslistdialog.cpp
	setstatusdialog.cpp
	pluginmanager.cpp
	proxyobject.cpp
	textedit.cpp
	xmlsettingsmanager.cpp
	contactlistdelegate.cpp
	addcontactdialog.cpp
	joinconferencedialog.cpp
	notificationactionhandler.cpp
	groupeditordialog.cpp
	transferjobmanager.cpp
	)
SET (HEADERS
	azoth.h
	core.h
	mainwidget.h
	chattabsmanager.h
	chattab.h
	sortfilterproxymodel.h
	accountslistdialog.h
	setstatusdialog.h
	pluginmanager.h
	proxyobject.h
	textedit.h
	xmlsettingsmanager.h
	contactlistdelegate.h
	addcontactdialog.h
	joinconferencedialog.h
	notificationactionhandler.h
	groupeditordialog.h
	transferjobmanager.h
	sourcetrackingmodel.h
	interfaces/iprotocolplugin.h
	interfaces/iaccount.h
	interfaces/iprotocol.h
	interfaces/iclentry.h
	)
SET (FORMS
	mainwidget.ui
	chattab.ui
	accountslistdialog.ui
	setstatusdialog.ui
	addcontactdialog.ui
	joinconferencedialog.ui
	groupeditordialog.ui
	)
SET (RESOURCES azothresources.qrc)
SET (TRANSLATIONS
	leechcraft_azoth_ru_RU.ts
	leechcraft_azoth_uk_UA.ts
	leechcraft_azoth_en.ts
	)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_azoth_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_azoth_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_azoth_en.qm
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_azoth SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${UIS_H}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_azoth
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_azoth DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})
INSTALL (FILES azothsettings.xml DESTINATION ${LC_SETTINGS_DEST})
INSTALL (DIRECTORY share/azoth DESTINATION share/leechcraft)

SET (AZOTH_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

OPTION (ENABLE_AZOTH_XOOX "Build Xoox, the gloox-aided XMPP support for Azoth" ON)
OPTION (ENABLE_AZOTH_CHATHISTORY "Build ChatHistory which keeps, well, chat history" ON)
OPTION (ENABLE_AZOTH_P100Q "Build p100q, plugin for the psto.net microbligging service" ON)
OPTION (ENABLE_AZOTH_STANDARDSTYLES "Build support for standard Azoth styles" ON)
OPTION (ENABLE_AZOTH_ACETAMIDE "Build Acetamide, IRC support for Azoth" ON)

IF (ENABLE_AZOTH_XOOX)
	ADD_SUBDIRECTORY (plugins/xoox)
ENDIF (ENABLE_AZOTH_XOOX)
IF (ENABLE_AZOTH_CHATHISTORY)
	ADD_SUBDIRECTORY (plugins/chathistory)
ENDIF (ENABLE_AZOTH_CHATHISTORY)
IF (ENABLE_AZOTH_P100Q)
	ADD_SUBDIRECTORY (plugins/p100q)
ENDIF (ENABLE_AZOTH_P100Q)
IF (ENABLE_AZOTH_STANDARDSTYLES)
	ADD_SUBDIRECTORY (plugins/standardstyles)
ENDIF (ENABLE_AZOTH_STANDARDSTYLES)
IF (ENABLE_AZOTH_ACETAMIDE)
	ADD_SUBDIRECTORY (plugins/acetamide)
ENDIF (ENABLE_AZOTH_ACETAMIDE)

=== src/plugins/deadlyrics/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_deadlyrics)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED COMPONENTS date_time filesystem system thread signals)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (QT_USE_QTNETWORK TRUE)
SET (QT_USE_QTXML TRUE)
INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	)
SET (SRCS
	deadlyrics.cpp
	core.cpp
	searcher.cpp
	lyricwikisearcher.cpp
	findproxy.cpp
	lyricscache.cpp
	xmlsettingsmanager.cpp
	)
SET (HEADERS
	deadlyrics.h
	core.h
	searcher.h
	lyricwikisearcher.h
	findproxy.h
	lyricscache.h
	xmlsettingsmanager.h
	)
SET (TRANSLATIONS
	leechcraft_deadlyrics_ru_RU.ts
	leechcraft_deadlyrics_uk_UA.ts
	leechcraft_deadlyrics_ar.ts
	leechcraft_deadlyrics_eo.ts
	leechcraft_deadlyrics_de.ts
	leechcraft_deadlyrics_es.ts
	leechcraft_deadlyrics_fr.ts
	leechcraft_deadlyrics_oc.ts
	leechcraft_deadlyrics_pl.ts
	leechcraft_deadlyrics_en.ts
	)
SET (RESOURCES deadlyricsresources.qrc)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_eo.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_es.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_fr.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_oc.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_pl.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_deadlyrics_en.qm
	)

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_deadlyrics SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_deadlyrics
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_deadlyrics DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})
INSTALL (FILES deadlyricssettings.xml DESTINATION ${LC_SETTINGS_DEST})

=== src/plugins/eiskaltdcpp/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	cmake_minimum_required (VERSION 2.6)

	set (PROJECT_NAME_GLOBAL leechcraft_eiskaltdcpp)

	if (not CMAKE_MODULE_PATH)
		set (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	endif (not CMAKE_MODULE_PATH)

	find_package (Boost COMPONENTS date_time filesystem system REQUIRED)
	find_package (Qt4 4.5 COMPONENTS QtCore QtGui QtXml QtNetwork QtDBus REQUIRED )
	find_package (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

set (VERSION "2.0.0")
include (CheckIncludeFile)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (FindPkgConfig)
include (CheckCXXSourceCompiles)

if (ICONV_INCLUDE_DIR AND ICONV_LIBRARIES)
  # Already in cache, be silent
  set(ICONV_FIND_QUIETLY TRUE)
endif (ICONV_INCLUDE_DIR AND ICONV_LIBRARIES)

find_path(ICONV_INCLUDE_DIR iconv.h)

find_library(ICONV_LIBRARIES NAMES iconv libiconv libiconv-2 c)

if (ICONV_INCLUDE_DIR AND ICONV_LIBRARIES)
   set (ICONV_FOUND TRUE)
endif (ICONV_INCLUDE_DIR AND ICONV_LIBRARIES)

set(CMAKE_REQUIRED_INCLUDES ${ICONV_INCLUDE_DIR})
set(CMAKE_REQUIRED_LIBRARIES ${ICONV_LIBRARIES})

if (ICONV_FOUND)
  check_cxx_source_compiles("
  #include <iconv.h>
  int main(){
    iconv_t conv = 0;
    const char* in = 0;
    size_t ilen = 0;
    char* out = 0;
    size_t olen = 0;
    iconv(conv, &in, &ilen, &out, &olen);
    return 0;
  }
" ICONV_SECOND_ARGUMENT_IS_CONST )
endif (ICONV_FOUND)

set (CMAKE_REQUIRED_INCLUDES)
set (CMAKE_REQUIRED_LIBRARIES)

if (ICONV_FOUND)
  if (NOT ICONV_FIND_QUIETLY)
    message (STATUS "Found Iconv: ${ICONV_LIBRARIES}")
  endif (NOT ICONV_FIND_QUIETLY)
else (ICONV_FOUND)
  if (Iconv_FIND_REQUIRED)
    message (FATAL_ERROR "Could not find Iconv")
  endif (Iconv_FIND_REQUIRED)
endif (ICONV_FOUND)

MARK_AS_ADVANCED(
  ICONV_INCLUDE_DIR
  ICONV_LIBRARIES
  ICONV_SECOND_ARGUMENT_IS_CONST
)

CHECK_INCLUDE_FILE (malloc.h HAVE_MALLOC_H)
CHECK_INCLUDE_FILE (dlfcn.h HAVE_DLFCN_H)
CHECK_INCLUDE_FILE (inttypes.h HAVE_INTTYPES_H)
CHECK_FUNCTION_EXISTS(mallinfo HAVE_MALLINFO)
CHECK_FUNCTION_EXISTS(malloc_stats HAVE_MALLOC_STATS)
CHECK_FUNCTION_EXISTS(malloc_trim HAVE_MALLOC_TRIM)
CHECK_INCLUDE_FILE (memory.h HAVE_MEMORY_H)
CHECK_INCLUDE_FILE (stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILE (stdlib.h HAVE_STDLIB_H)
CHECK_INCLUDE_FILE (stdbool.h HAVE_STDBOOL_H)
CHECK_INCLUDE_FILE (strings.h HAVE_STRINGS_H)
CHECK_INCLUDE_FILE (sys/stat.h HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILE (sys/types.h HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILE (limits.h HAVE_LIMITS_H)
CHECK_INCLUDE_FILE (unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILE (sys/socket.h HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILE (ifaddrs.h HAVE_IFADDRS_H)
CHECK_INCLUDE_FILE (net/if.h HAVE_NET_IF_H)
CHECK_INCLUDE_FILE (sys/statvfs.h STAT_STATVFS)
CHECK_INCLUDE_FILES ("sys/socket.h;net/if.h;ifaddrs.h;sys/types.h" HAVE_ADDRS_H)
CHECK_INCLUDE_FILES ("sys/types.h;sys/statvfs.h;limits.h;stdbool.h;stdint.h" FS_USAGE_C)

find_package (BZip2 REQUIRED)
find_package (ZLIB REQUIRED)
find_package (OpenSSL REQUIRED)
find_package (Threads REQUIRED)
find_package (Gettext REQUIRED)
find_package (PkgConfig)

if (USE_ASPELL)
  find_package (ASPELL REQUIRED)
  message (STATUS "Building with Aspell support")
else (USE_ASPELL)
  message (STATUS "Building without Aspell support")
endif (USE_ASPELL)

pkg_check_modules (PC_UPNP REQUIRED libupnp)

set (UPNP_DEFINITIONS ${PC_UPNP_CFLAGS_OTHER})

find_path(UPNP_INCLUDE_DIR upnp/upnp.h
   HINTS
   ${PC_UPNP_INCLUDEDIR}
   ${PC_UPNP_INCLUDE_DIRS}
   PATH_SUFFIXES upnp)
find_library(UPNP_UPNP_LIBRARY upnp
   HINTS
   ${PC_UPNP_LIBDIR}
   ${PC_UPNP_LIBRARY_DIRS})
find_library(UPNP_IXML_LIBRARY ixml
   HINTS
   ${PC_UPNP_LIBDIR}
   ${PC_UPNP_LIBRARY_DIRS})
find_library(UPNP_THREADUTIL_LIBRARY threadutil
   HINTS
   ${PC_UPNP_LIBDIR}
   ${PC_UPNP_LIBRARY_DIRS})

if (UPNP_INCLUDE_DIR AND UPNP_UPNP_LIBRARY)
    set (UPNP_FOUND 1)
endif (UPNP_INCLUDE_DIR AND UPNP_UPNP_LIBRARY)

if (UPNP_FOUND)
    set (UPNP_LIBRARY ${UPNP_UPNP_LIBRARY} ${UPNP_IXML_LIBRARY} ${UPNP_THREADUTIL_LIBRARY} ${PC_UPNP_LDFLAGS})
    message (STATUS "Found the upnp libraries at ${UPNP_LIBRARY}")
    message (STATUS "Found the upnp headers at ${UPNP_INCLUDE_DIR}")
else (UPNP_FOUND)
    message (STATUS "Could not find upnp")
endif (UPNP_FOUND)

if (NOT CMAKE_INSTALL_PREFIX)
  set (CMAKE_INSTALL_PREFIX "/usr")
endif (NOT CMAKE_INSTALL_PREFIX)

if (LIB_INSTALL_DIR)
  set (LIBDIR ${LIB_INSTALL_DIR})
endif (LIB_INSTALL_DIR)

if (NOT LIBDIR)
  set (LIBDIR "lib")
  message (STATUS "Library directory: ${CMAKE_INSTALL_PREFIX}/${LIBDIR}")
endif (NOT LIBDIR)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE "RelWithDebInfo")
endif (NOT CMAKE_BUILD_TYPE)

if (UNIX AND NOT APPLE)
  set (DATAPATH "share/eiskaltdcpp")
elseif (APPLE)
  set (DATAPATH "./")
endif (UNIX AND NOT APPLE)

set (SHARE_DIR "share")

if (APPLE)
  set (CLIENT_DATA_DIR "${PROJECT_NAME_GLOBAL}.app")
else (APPLE)
  set (CLIENT_DATA_DIR "${CMAKE_INSTALL_PREFIX}/${SHARE_DIR}/${PROJECT_NAME_GLOBAL}")
endif (APPLE)

set (_DATADIR "${CLIENT_DATA_DIR}")

message (STATUS "Data directory: ${CLIENT_DATA_DIR}")

if (NOT DEFINED SVNVERSION)
        find_program (SVNVERSION_CMD svnversion)
        execute_process (COMMAND "${SVNVERSION_CMD}"
                OUTPUT_VARIABLE SVNVERSION
                OUTPUT_STRIP_TRAILING_WHITESPACE)
        message (STATUS "Build svn revision: ${SVNVERSION}")
endif (NOT DEFINED SVNVERSION)
if (NOT SVNVERSION OR SVNVERSION STREQUAL exported)
else (SVNVERSION)
        add_definitions(-DDCPP_REVISION="\(r""${SVNVERSION}""\)")
endif (NOT SVNVERSION OR SVNVERSION STREQUAL exported)
if (UNIX)
add_definitions (-D_GNU_SOURCE -D_LARGEFILE_SOURCE)
endif (UNIX)

set (CLIENT_TRANSLATIONS_DEST "${CLIENT_DATA_DIR}/ts")
set (CLIENT_SOUNDS_DEST "${CLIENT_DATA_DIR}/sounds")
set (CLIENT_ICONS_DEST "${CLIENT_DATA_DIR}/icons")

add_definitions (-pipe -O2 -I. -fno-builtin -D_FILE_OFFSET_BITS=64
                 -D_REENTRANT -D_DATADIR="${_DATADIR}"
                 -DNDEBUG -DBUILDING_DCPP)

if (HAVE_IFADDRS_H)
  add_definitions (-DHAVE_IFADDRS_H -DHAVE_IF_ADDRS_H)
endif (HAVE_IFADDRS_H)

if (ICONV_SECOND_ARGUMENT_IS_CONST)
  add_definitions (-DICONV_CONST=const)
endif (ICONV_SECOND_ARGUMENT_IS_CONST)

set(CMAKE_CXX_FLAGS_RELEASE     "-DNDEBUG -O3 -fomit-frame-pointer -pipe")
set(CMAKE_CXX_FLAGS_DEBUG       "-UNDEBUG -g3 -pipe")

message(STATUS "CMake would use these libs when building:
                upnp: ${UPNP_LIBRARY}
                boost: ${Boost_LIBRARIES} ${Boost_INCLUDE_DIR}
                bzip2: ${BZIP2_LIBRARIES}
                zlib: ${ZLIB_LIBRARIES}
                openssl: ${OPENSSL_LIBRARIES}
                iconv: ${ICONV_LIBRARIES}
                aspell: ${ASPELL_LIBRARIES}
                ")

add_subdirectory (dcpp)
add_subdirectory (eiskaltdcpp)
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

=== src/plugins/networkmonitor/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_networkmonitor)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (QT_USE_QTNETWORK TRUE)
INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
)
SET (SRCS
	networkmonitor.cpp
	requestmodel.cpp
	headermodel.cpp
	)
SET (HEADERS
	networkmonitor.h
	requestmodel.h
	headermodel.h
	)
SET (FORMS
	networkmonitor.ui
	)
SET (RESOURCES networkmonitorresources.qrc)
SET (TRANSLATIONS
	leechcraft_networkmonitor_ru_RU.ts
	leechcraft_networkmonitor_uk_UA.ts
	leechcraft_networkmonitor_ar.ts
	leechcraft_networkmonitor_de.ts
	leechcraft_networkmonitor_eo.ts
	leechcraft_networkmonitor_en.ts
	leechcraft_networkmonitor_es.ts
	leechcraft_networkmonitor_fr.ts
	leechcraft_networkmonitor_pl.ts
	)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_ar.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_eo.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_en.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_es.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_fr.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_networkmonitor_pl.qm
	)
QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})
ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_networkmonitor SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${MOC_SRCS}
	${UIS_H}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_networkmonitor
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_networkmonitor DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})

=== src/plugins/popishu/CMakeLists.txt ===
IF (NOT QT_USE_FILE)
	CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
	IF (COMMAND cmake_policy)
		cmake_policy (SET CMP0003 NEW)
	ENDIF (COMMAND cmake_policy)

	PROJECT (leechcraft_popishu)

	IF (NOT CMAKE_MODULE_PATH)
		SET (CMAKE_MODULE_PATH "/usr/local/share/leechcraft/cmake;/usr/share/leechcraft/cmake")
	ENDIF (NOT CMAKE_MODULE_PATH)

	FIND_PACKAGE (Boost REQUIRED)
	FIND_PACKAGE (Qt4 REQUIRED)
	FIND_PACKAGE (LeechCraft REQUIRED)
ENDIF (NOT QT_USE_FILE)

SET (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
FIND_PACKAGE (QScintilla)
IF (NOT QSCINTILLA_FOUND)
	MESSAGE (ERROR "QScintilla not found, unable to build Popishu :(")
ENDIF (NOT QSCINTILLA_FOUND)

INCLUDE (${QT_USE_FILE})
INCLUDE_DIRECTORIES (
	${CMAKE_CURRENT_BINARY_DIR}
	${Boost_INCLUDE_DIR}
	${LEECHCRAFT_INCLUDE_DIR}
	${QSCINTILLA_INCLUDE_DIR}
	)
SET (SRCS
	popishu.cpp
	core.cpp
	editorpage.cpp
	xmlsettingsmanager.cpp
	replacedialog.cpp
	)
SET (HEADERS
	popishu.h
	core.h
	editorpage.h
	xmlsettingsmanager.h
	replacedialog.h
	)
SET (RESOURCES
	popishuresources.qrc
	)
SET (TRANSLATIONS
	leechcraft_popishu_ru_RU.ts
	leechcraft_popishu_uk_UA.ts
	leechcraft_popishu_en.ts
	leechcraft_popishu_de.ts
	leechcraft_popishu_fr.ts
	)
SET (COMPILED_TRANSLATIONS
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_popishu_ru_RU.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_popishu_uk_UA.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_popishu_en.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_popishu_de.qm
	${CMAKE_CURRENT_SOURCE_DIR}/leechcraft_popishu_fr.qm
	)
SET (FORMS
	editorpage.ui
	replacedialog.ui
	)

QT4_WRAP_CPP (MOC_SRCS ${HEADERS})
QT4_WRAP_UI (UIS_H ${FORMS})
QT4_ADD_RESOURCES (RCCS ${RESOURCES})

ADD_CUSTOM_COMMAND (OUTPUT
	${COMPILED_TRANSLATIONS}
	COMMAND "${QT_LRELEASE_EXECUTABLE}" ${TRANSLATIONS}
	DEPENDS ${TRANSLATIONS}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
	)
ADD_LIBRARY (leechcraft_popishu SHARED
	${COMPILED_TRANSLATIONS}
	${SRCS}
	${HEADERS}
	${MOC_SRCS}
	${UIS_H}
	${RCCS}
	)
TARGET_LINK_LIBRARIES (leechcraft_popishu
	${QT_LIBRARIES}
	${LEECHCRAFT_LIBRARIES}
	${QSCINTILLA_LIBRARIES}
	)
INSTALL (TARGETS leechcraft_popishu DESTINATION ${LC_PLUGINS_DEST})
INSTALL (FILES ${COMPILED_TRANSLATIONS} DESTINATION ${LC_TRANSLATIONS_DEST})
INSTALL (FILES popishusettings.xml DESTINATION ${LC_SETTINGS_DEST})

=== debian/changelog ===
leechcraft (0.4.55-maemo-4) unstable; urgency=low

  * Fix running problem

 -- Eugene Degtyarev <degtep@gmail.com>  Fri, 18 Feb 2011 20:34:53 +0300

=== debian/control ===
Source: leechcraft
Section: user/network
Priority: extra
Maintainer: Eugene Degtyarev <degtep@gmail.com>
Build-Depends: debhelper (>= 5),
 cdbs,
 cmake (>= 2.6),
 libboost1.42-all-dev,
 libboost-thread1.42-dev,
 libboost-date-time1.42-dev,
 libboost-filesystem1.42-dev,
 libboost-regex1.42-dev,
 libboost-program-options1.42-dev,
 libbz2-dev,
 libqjson-dev,
 libqxmpp-dev,
 libqt4-dev (>= 4.6.0)
Standards-Version: 3.9.1
Homepage: http://leechcraft.org

Package: leechcraft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LeechCraft is a free modular "Internet client" application.
 LeechCraft allows to browse the web, read RSS/Atom feeds, download
 files via BitTorrent, HTTP, FTP and DC, automatically stream,
 download or play podcasts and other media files and much more.
 .
 Features can be easily added via plugins that can be integrated with
 each other with no effert while staying abstract from the exact
 implementation.
 .
 This package contains the main LeechCraft executable, which connects
 all the plugins with each other, routes requests between them, tracks
 dependencies and performs several other housekeeping tasks.
XSBC-Maemo-Display-Name: LeechCraft
XSBC-Bugtracker: http://dev.leechcraft.org/projects/leechcraft/issues
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAACqAAAAqgB7e92gQAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAbZSURBVGiB3ZrPaxvpGcc/7/yQbMuWVonc
 JLbYhASUpKFLSGhTKPWhkJMhh1x86T2HkNteC/4DemrZQ06FHruQQ8kt58C6
 sBAKre0tbhuvU0mV7IntWKN3fr17mB8ayZKsCfXa2wdesMbzzHw/7/O8v0co
 pRhnQggBiPjn2Jv/dxaLUuoEgWLY/1OiNUAHjKho0fXTAlFRCQAvKn70eyjM
 MYBIvA7kgGlgFpgDZqJr+ikD+IADdIBD4ANgR9f8QYg+gEi8GYm9CFwBbgH3
 gRpQIYzCaVoAtIFvgK+BDaAO7BJCuWmIBCASbwBFYBH4DHg2Pz//s7t373L7
 9m2uXr2Kpp2u/iAIePv2Levr67x584ZWq/UX4PfAX4F3wAHgxRBCKZVOm1ng
 U+CREOLzx48fl548ecL8/DzT09NMTU2dqvjYut0utm3TarV4/vw5L1682FdK
 /Rb4M7BNmFa+UkrFABowRZgyPxdCfLG6ulp6+PAh1WoVwzC+F+GD5nkeOzs7
 vHr1itXV1X2l1FPgK8KU6iqlgliZRpj3V4Bny8vLpaWlJarVavKgs7JqtcrS
 0hLLy8ully9fPgPeAvuEjTowBtLnVrlcfrCyssLCwgKu656Z8LQtLCywsrLC
 69evH1iWdQvYAQ6FEL5B2CUahAD3a7Ua5XIZONuaH7RyuUytVmNtbe0+YRoZ
 gJsGmAFq1WqVXC53bmo/tlwuR7VaZW1trUao1QBEug3kgEq5XMY0zXMHYJpm
 nBkVQq0ahBTQmzJonufhui6O45yJ0FHmum6c0olW6AFAND1wHCcp58kGNCVT
 mWMdfHxjnELxSD1kzkTYgY03pdQx3ywWv2dUpR4DcF0XKSVSSpRSBEGA67p9
 InRdxzCMiaYVvu8nJatwwzDQdR0hBFLKoe1yaARigCAIsG2bZrPZ16Xqus6l
 S5coFApjIYIg4OjoiGazmRlA0zQqlQpzc3Pouo6UcrIIxKRx2d3dZW9vj5/+
 5DC5Z+OfMzSb4QBjmuZIEZ7n0Ww2cWSbH9/oZAL42z8KNBoeuq4zNTWVZMaJ
 APGNcSQ6nQ6O4/Dol/9J7nlXv8LehwKO44zNb8/zkFIym+/0+U9iW/9eZL9j
 0u120TQtWwqlIxCDkKJ3nV6UgKGNWSmVAORFv/8k5jhyqJYTAer1ekLb16U6
 KQDpJFGKZrMjAVzXxRWyz986NHDc8T2Ybbt9AFJK6vX6yQDb29tsbGxw8+ZN
 TNNMGjSyR+9G4icBkFLi4iT+zfcGv/njj/CD8QBCBFQqBp7n0W632dzcZHt7
 +2QACNtBu91GSsnBwQG2bUO3PwLpsWIcgOM4IUDkf/geXMdhrnSBQqEwdK0h
 hCAIAnzfp16vI4QYObUZChD3/zF9o9GA3X+BMQdGEde52JdCoywBUD0A1Q0H
 JV3XmZ6exjTNpALiVLFtG9/3k0FMCDHyPSMBjo2gtgQk0Ka+rXjX9ZJlpmma
 yYAzWItSStxAgh2mUNAVdLs2BwcHyX2u6+L7PkEQJNeEEJimiaZpaJqWDSAI
 gr4CgOyJC7wAy7LY3NxE1/U+XyFEMlKXSiVarRZCr4O1DQQ4rTzffuvT+O8e
 +Xx+6EAYP+Py5cvMzs5iGEZPxyQAMGQOI3svurdgs9XO0z3ojnJHeoK93Vl0
 I4eXc6EbCrha8LhzWfLe9oDD3h5c38uhvh824GvXrlEoFEa+58QIJBCpCDy9
 t8fTe3sjHwrwu68u8uVmDqEZoETiXxQBf3i0M9YXYOXLT6lLB8/z+tJrIoB0
 7fcAMu4H+aLnH3yEv+pvi5kbcV/tQ18EJjI/tYWqPsJf9bR8FACEjSmfz6MJ
 +MWfrmV6vxvATMEgl8vx93Y+s7/0BaVPckkPlAkgPX8vFosopTKv0OJeKO4O
 s66xPzEMisUimqYl7SATgOd5KKUwDINyuZxpZRX343EXeeHChcz+QFL74xZE
 YwFiS6fUpBa3o2HCsjwjFp4JwPO8c7WpBaM32dIASXwHI3AebCACidYYIKB3
 lHPeI9CnNQ3gEJ6MYFkWxWLxe5Y43izLiv9sE+1MQwigCA/TOoTHOr+yLIvF
 xcUzkDnaUgDfEGr1AJUG+EB4JkWj0eD69evkcrkzkHrcHMcJ1yShfU2oNQRQ
 SikhhB9d3ADWPM97sL6+zp07d85G8YCtr6/HbWCNUOP4IybgC6BUqVS4cePG
 2L2f0zTXddna2qLdbkN4KnPsiGnkIR/wOVCKR+JCocDMzEzmwSirKaXodDoc
 HR1hWVZc8/vA0EO+9BAfnxFfJDxi/TVhyNQZl7VIy2eRNpPodFUp9X900D0A
 8cP81GAA4of5scexG8755zbfAVYw7cO5NrtLAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cmake -DCMAKE_INSTALL_PREFIX="/usr" ./src -DENABLE_AGGREGATOR=false -DENABLE_FTP=false -DENABLE_TORRENT=false -DENABLE_AZOTH=True -DENABLE_SECMAN=True -DENABLE_LACKMAN=True
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)


	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean  

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  
	dh_installdirs


	# Add here commands to install the package into debian/qutim.
	$(MAKE) DESTDIR=$(CURDIR)/debian/leechcraft install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
